<?php
require_once ("../ajax/conexion.php");//Contiene funcion que conecta a la base de datos
include("../ajax/queryscalar.php");
include("../ajax/functionpass.php");

// $temp=repetido($con);


// Define variables and initialize with empty values
$username = $password = $confirm_password = "";
$username_err = $password_err = $confirm_password_err = "";
	   // Validate username
    if(empty(trim($_POST["idusuario"]))){
        $username_err = "Teclea un usuario.";
		$errors[] = "Teclea un usuario.";
  } else{
        // Prepare a select statement
        $sql = "SELECT id_usuario FROM catalogo_usuarios WHERE id_registro = ?";

        if($stmt = mysqli_prepare($con, $sql)){
            // Bind variables to the prepared statement as parameters
            mysqli_stmt_bind_param($stmt, "s", $param_id);

            // Set parameters
            $param_id = trim($_POST["idusuario"]);

            // Attempt to execute the prepared statement
            if(mysqli_stmt_execute($stmt)){
                /* store result */
                mysqli_stmt_store_result($stmt);

                if(mysqli_stmt_num_rows($stmt) == 1){
                  $idusername = trim($_POST["idusuario"]);

                } else{
                  $username_err = "No existe el usuario.";
                 $errors[] = "No existe el usuario.";
                }
            } else{
                echo "Consulte a su administrador .";
            }
        }

        // cerrar statement
        mysqli_stmt_close($stmt);
    }

    // Validar password
    if(empty(trim($_POST["txtcontrasenia"]))){
        $password_err = "Introduce una contraseña.";
		$errors[] = "Introduce una contraseña.";
    } else{
        $password = trim($_POST["txtcontrasenia"]);
    }

    // Validate confirm password
    if(empty(trim($_POST["txtconfcontrasenia"]))){
        $confirm_password_err = "Necesita confirmar la contraseña.";
		$errors[] = "Necesita confirmar la contraseña.";
    } else{
        $confirm_password = trim($_POST["txtconfcontrasenia"]);
        if(empty($password_err) && ($password != $confirm_password)){
            $confirm_password_err = "Las contraseñas no coinciden.";
			$errors[] = "Las contraseñas no coinciden.";
        }
    }

  $nombrecompleto=queryscalar("SELECT nombre AS resultado FROM catalogo_usuarios WHERE id_registro='".$param_id ."' ",$con);
 $username=queryscalar("SELECT id_usuario AS resultado FROM catalogo_usuarios WHERE id_registro='".$param_id ."' ",$con);
  $temp2= Contrasena_Compleja($password,$username,$nombrecompleto, True,$con);
//  echo $temp2[0];
//  echo $temp2[1];
  if ($temp2[0]==0){
    $password_err=$temp2[1];
    $errors[]=$temp2[1];
  }
	  if(empty($username_err) && empty($password_err) && empty($confirm_password_err) ){


      $fechasistema=queryscalar("SELECT DATE_FORMAT(sysdate(3),'%Y%m%d') AS resultado",$con);
      $dias_expiracion = queryScalar("SELECT Dias_Password  AS resultado FROM configuracion_acceso",$con);
      $fecha_expiracion = queryScalar("SELECT DATE_FORMAT (DATE_ADD('".$fechasistema."', INTERVAL '".$dias_expiracion."' DAY),'%Y%m%d') AS resultado",$con);


        // Prepare an insert statement
        $sql = "UPDATE catalogo_usuarios SET passwd=?,fecha_expiracion=? WHERE id_registro='".$param_id."'";
        if($stmt = mysqli_prepare($con, $sql)){
            // Bind variables to the prepared statement as parameters
            mysqli_stmt_bind_param($stmt, "ss", $param_password,$fecha_expiracion);

            // Set parameters

            $param_password = password_hash($password, PASSWORD_DEFAULT); // Creates a password hash

            $sql = "INSERT INTO historial_passwords(id_usuario,contrasena,fecha) VALUES ('$username','$param_password','$fechasistema')";
            $query = mysqli_query($con,$sql);

            // Attempt to execute the prepared statement
            if(mysqli_stmt_execute($stmt)){
                $messages[] = "El usuario ha sido guardado con éxito.";
            } else{
                $errors[] = "Lo sentimos, el registro falló. Por favor, regrese y vuelva a intentarlo.";
            }
        }

        // Close statement
        mysqli_stmt_close($stmt);
       // insertar en historial PASSWORD




    // Close connection
   mysqli_close($con);
	  }
if (isset($errors)){

			?>
			<div class="alert alert-danger" role="alert">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
					<strong>Error!</strong>
					<?php
						foreach ($errors as $error) {
								echo $error;

							}
						?>
			</div>
			<?php
			}
			if (isset($messages)){

				?>
				<div class="alert alert-success" role="alert">
						<button type="button" class="close" data-dismiss="alert">&times;</button>
						<strong>¡Bien hecho!</strong>
						<?php
							foreach ($messages as $message) {
									echo $message;
								}
							?>
				</div>
        <?php
			}


?>
