<?php

	/* Connect To Database*/
	require_once ("../ajax/conexion.php");


$action = (isset($_REQUEST['action'])&& $_REQUEST['action'] !=NULL)?$_REQUEST['action']:'';
if($action == 'ajax'){
	$query = mysqli_real_escape_string($con,(strip_tags($_REQUEST['query'], ENT_QUOTES)));

	$tables="catalogo_iniciativa i";
	$campos="i.id_iniciativa,i.iniciativa,i.descripcion,i.id_partido,p.nombre_corto,i.fecha_votacion,i.origen_dictamen ";
	$sWhere="  i.id_partido=p.id_partido";
	$sWhere.=" and i.iniciativa LIKE '%".$query."%'";
	$sWhere.=" order by i.fecha_votacion desc";


	include 'pagination.php'; //include pagination file
	//pagination variables
	$page = (isset($_REQUEST['page']) && !empty($_REQUEST['page']))?$_REQUEST['page']:1;
	$per_page = intval($_REQUEST['per_page']); //how much records you want to show
	$adjacents  = 4; //gap between pages after number of adjacents
	$offset = ($page - 1) * $per_page;
	//Count the total number of row in your table*/
	$count_query   = mysqli_query($con,"SELECT count(*) AS numrows FROM catalogo_iniciativa ");
	if ($row= mysqli_fetch_array($count_query)){$numrows = $row['numrows'];}
	else {echo mysqli_error($con);}
	$total_pages = ceil($numrows/$per_page);
	//main query to fetch the data
	$query = mysqli_query($con,"SELECT i.id_iniciativa,i.iniciativa,i.descripcion,i.id_partido,p.nombre_corto,i.fecha_votacion,i.tipo_votacion FROM catalogo_iniciativa i,catalogo_partidos_politicos p where i.id_partido=p.id_partido and i.iniciativa LIKE '%".$query."%' LIMIT $offset,$per_page");
	//loop through fetched data





	if ($numrows>0){
	$temporal="";
	?>
		<div class="table-responsive" class="col-md-12">
			<table class="table table-striped table-hover">
				<thead>
					<tr>
						<th>Iniciativa</th>
						<th>Descripcion </th>
						<th>Partido </th>
						<th>Fecha Votación </th>
						<th>Tipo votación </th>

						<th></th>
					</tr>
				</thead>
				<tbody>
						<?php
						$finales=0;

						while($row = mysqli_fetch_array($query)){
							$id_iniciativa=$row['id_iniciativa'];
							$iniciativa=$row['iniciativa'];
							$descripcion=$row['descripcion'];
							$id_partido=$row['id_partido'];
							$partido=$row['nombre_corto'];
							$fecha_votacion=$row['fecha_votacion'];
							$tipo_votacion=$row['tipo_votacion'];

							if (intval($tipo_votacion)==1) {
							$temporal="Individual";
							}
							if (intval($tipo_votacion)==2) {
							$temporal="Colectiva";
							}
							if (intval($tipo_votacion)==3) {
							$temporal="Grupo parlamentario";
							}
							if (intval($tipo_votacion)==4) {
							$temporal="Coaliciones";
							}
							$finales++;
						?>
						<tr >
							<td ><?php echo $iniciativa;?></td>
							<td ><?php echo $descripcion;?></td>
							<td ><?php echo $partido;?></td>
							<td ><?php echo $fecha_votacion;?></td>
							<td> <?php echo $temporal; ?></td>
							<td>
								<a href="#"  data-target="#editIniciativaModal" class="edit" data-toggle="modal" data-iniciativa='<?php echo $iniciativa;?>' data-descripcion='<?php echo $descripcion?>' data-id-partido='<?php echo $id_partido; ?>' data-nombre-corto='<?php echo $partido; ?>' data-tipo-votacion='<?php echo $tipo_votacion; ?>' data-fecha='<?php echo $fecha_votacion; ?>'  data-id='<?php echo $id_iniciativa;?>'><i class="material-icons" data-toggle="tooltip" title="Editar" >&#xE254;</i></a>
								<a href="#deleteIniciativaModal" class="delete" data-toggle="modal" data-id="<?php echo $id_iniciativa;?>"> <i class="material-icons" data-toggle="tooltip" title="Eliminar">&#xE872;</i></a>
								<a href="http://35.193.244.78/screen.php?id=<?php echo $id_iniciativa;?>" target="_blank"> <i class="material-icons"  title="Ver Detalle">&#xE147;</i></a>
							</td>
						</tr>
						<?php }?>
						<tr > <!-- colspan='6' -->
							<td colspan='8'>
								<?php
									$inicios=$offset+1;
									$finales+=$inicios -1;
									echo "Mostrando $inicios al $finales de $numrows registros";
									echo paginate( $page, $total_pages, $adjacents);
								?>
							</td>
						</tr>
				</tbody>
			</table>
		</div>



	<?php
	}
}
?>
