<?php

	/* Connect To Database*/
	require_once ("../ajax/conexion.php");


$action = (isset($_REQUEST['action'])&& $_REQUEST['action'] !=NULL)?$_REQUEST['action']:'';
if($action == 'ajax'){
	$query = mysqli_real_escape_string($con,(strip_tags($_REQUEST['query'], ENT_QUOTES)));

	$tables="catalogo_partidos_politicos";
	$campos="id_partido,nombre_corto,nombre_largo";
	$sWhere=" nombre_corto LIKE '%".$query."%'";
	$sWhere.=" order by nombre_corto";


	include 'pagination.php'; //include pagination file
	//pagination variables
	$page = (isset($_REQUEST['page']) && !empty($_REQUEST['page']))?$_REQUEST['page']:1;
	$per_page = intval($_REQUEST['per_page']); //how much records you want to show
	$adjacents  = 4; //gap between pages after number of adjacents
	$offset = ($page - 1) * $per_page;
	//Count the total number of row in your table*/
	$count_query   = mysqli_query($con,"SELECT count(*) AS numrows FROM $tables where $sWhere ");
	if ($row= mysqli_fetch_array($count_query)){$numrows = $row['numrows'];}
	else {echo mysqli_error($con);}
	$total_pages = ceil($numrows/$per_page);
	//main query to fetch the data
	$query = mysqli_query($con,"SELECT $campos FROM  $tables where $sWhere LIMIT $offset,$per_page");
	//loop through fetched data


       //$query = mysqli_query($con,"CALL getCatalogo_Partidos()") or die("Query fail: " . mysqli_error());



	if ($numrows>0){

	?>
		<div class="table-responsive">
			<table class="table table-striped table-hover">
				<thead>
					<tr>
						<th>Nombre Corto</th>
						<th>Nombre Largo </th>

						<th></th>
					</tr>
				</thead>
				<tbody>
						<?php
						$finales=0;
						while($row = mysqli_fetch_array($query)){
							$partido_id=$row['id_partido'];
							$nombre_corto=$row['nombre_corto'];
							$nombre_largo=$row['nombre_largo'];
							$finales++;
						?>
						<tr >
							<td ><?php echo $nombre_corto;?></td>
							<td ><?php echo $nombre_largo;?></td>
							<td>
								<a href="#"  data-target="#editPartidoModal" class="edit" data-toggle="modal" data-nombre-corto='<?php echo $nombre_corto;?>' data-nombre-largo="<?php echo $nombre_largo?>" data-id="<?php echo $partido_id; ?>"><i class="material-icons" data-toggle="tooltip" title="Editar" >&#xE254;</i></a>
								<a href="#deletePartidoModal" class="delete" data-toggle="modal" data-id="<?php echo $partido_id;?>"><i class="material-icons" data-toggle="tooltip" title="Eliminar">&#xE872;</i></a>
                    		</td>
						</tr>
						<?php }?>
						<tr>
							<td colspan='6'>
								<?php
									$inicios=$offset+1;
									$finales+=$inicios -1;
									echo "Mostrando $inicios al $finales de $numrows registros";
									echo paginate( $page, $total_pages, $adjacents);
								?>
							</td>
						</tr>
				</tbody>
			</table>
		</div>



	<?php
	}
}
?>
