<?php
// Initialize the session
session_start();

// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true){
    header("location: login.php");
    exit;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Asistencia Inicial </title>
<!--<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto|Varela+Round">
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<link rel="stylesheet" href="css/custom.css">-->
</head>
<body>

    <div class="container">
        <div class="table-wrapper">
            <div class="table-title">
                <div class="row">
                    <div class='col-sm-6'>
						<h2 >Administrar tiempo de Asistencia Inicial</h2>
					</div>
					<div class="col-sm-6">
						<a  href="#" data-target="#add_tiempo_asistencia_i" class="btn btn-success" data-toggle="modal" data-tiempo='' ><i class="material-icons">&#xE147;</i> <span>Agregar Tiempo de Asistencia Inicial</span></a>

          </div>
                </div>
            </div>


			<div class='clearfix'></div>
			<hr>
			<div id="loader"></div><!-- Carga de datos ajax aqui -->
			<div id="resultados"></div><!-- Carga de datos ajax aqui -->
			<div class='outer_div'></div><!-- Carga de datos ajax aqui -->


        </div>
    </div>


    <div id="CerrarAsistenciaInicial" class="modal fade">
        <div class="modal-dialog">
          <div class="modal-content">
            <form name="cerrar_asistencia_i" id="cerrar_asistencia_i">
              <div class="modal-header">
                <h4 class="modal-title">Cerrar Asistencia Inicial</h4>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
              </div>

                <div class="modal-body">
      	        <div class="form-group">
                  <label>Presiona aceptar para cerrar la asistencia inicial</label>

                </div>
              </div>

              <div class="modal-footer">
                <input type= "hidden" id="id_padre" name="id_padre" />
                <input type="button" class="btn btn-default" data-dismiss="modal" value="Cancelar">
                <input type="submit" class="btn btn-success" value="Aceptar">

              </div>
            </form>
          </div>
        </div>
      </div>

	<!-- Edit Modal HTML -->
	<?php include("html/modal_add_tiempo_asistencia.php");?>


	<script src="js/script_tiempo_asistencia_inicial.js"></script>
</body>
</html>
