<?php
// Initialize the session
session_start();

// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true){
    header("location: login.php");
    exit;
}
?>

<?php

	/* Connect To Database*/
	require_once ("ajax/conexion.php");
	 $sql="SELECT bloqueo_Intentos,Dias_Aviso,Dias_Password,Historial_Passwords,Maximo_Intentos,Numero_Passwords,Reiniciar_Fec_Ven FROM configuracion_acceso";
							 $query = mysqli_query($con,$sql);
	                         $valores = mysqli_fetch_array($query);
								$TxtIntentos=$valores['Maximo_Intentos'];
								$ChkIntentos=$valores['bloqueo_Intentos'] == '1' ? 'checked' : '';
								$ChkFecha = $valores['Reiniciar_Fec_Ven'] == '1' ? 'checked' : '';
								$ChkHistorial=$valores['Historial_Passwords'] == '1' ? 'checked' : '';
								$TxtHistorial=$valores['Numero_Passwords'];
								$TxtDias=$valores['Dias_Password'];
								$TxtDias_Aviso=$valores['Dias_Aviso'];



	?>
<!DOCTYPE html>
<html lang="es">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Configuración de Acceso </title>

</head>
<body>

    <div class="container">
        <div class="table-wrapper">
            <div class="table-title">
                <div class="row">
                    <div class="col-sm-6">
          						<h2><b>Configurar Acceso</b></h2>
          					</div>

                </div>
            </div>
			<div class='col-sm-4 pull-right'>

			</div>
			<!--<div class='clearfix'></div>-->
			<hr>

      <div class="modal-dialog">
        <div class="modal-content">
          <form name="editar_conf_acceso" id="editar_conf_acceso">
            <div class="modal-header">
              <!--<h4 class="modal-title">Agregar Configuración de Acceso</h4>-->
              <!--<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>-->
            </div>

            <div class="modal-body">
              <div class="row">
                <br />
                  <div class="col-sm-8">
                      <div class="form-group">
                    <label >Número de intentos fallidos en la contraseña:</label>
                    <input type="text" name="TxtIntentos"  id="TxtIntentos" maxlength="10" CssClass="form-control"  value="<?php echo $TxtIntentos;?>" required>
                  </div>
                </div>
              </div>
              <div class="row">
                  <br />
                  <div class="col-sm-10">
                      <div class="form-group">
                          <label>¿Bloquear usuario por intentos fallidos en la contraseña?</label>
                          <input type="CheckBox" name="ChkIntentos"  id="ChkIntentos"  CssClass="form-control" <?php echo $ChkIntentos;?>>
                      </div>
                  </div>
              </div>

              <div class="row">
                  <br />
                  <div class="col-sm-8">
                      <div class="form-group">
                        <label>¿ Usuario cambia contraseña por Fecha Vencida ?</label>
                        <input type="CheckBox" name="ChkFecha"  id="ChkFecha"  CssClass="form-control" <?php echo $ChkFecha;?>>
                      </div>
                    </div>
                </div>
              <div class="row">
                  <br />
                  <div class="col-sm-8">
                      <div class="form-group">
                    <label>Días de vigencia de la contraseña:</label>
                    <input type="text" name="TxtDias"  id="TxtDias" maxlength="10" CssClass="form-control" value="<?php echo $TxtDias;?>" required>
                  </div>
                </div>
              </div>
              <div class="row">
                  <br />
                  <div class="col-sm-8">
                      <div class="form-group">
                      <label>Días de aviso para vencimiento de contraseña:</label>
                      <input type="text" name="TxtDias_Aviso"  id="TxtDias_Aviso" maxlength="10" CssClass="form-control" value="<?php echo $TxtDias_Aviso;?>" required>
                  </div>
                </div>
              </div>
              <div class="row">
                  <br />
                  <div class="col-sm-8">
                      <div class="form-group">
                    <label >¿ Manejar Historial de contraseñas ?</label>
                    <input type="CheckBox" name="ChkHistorial"  id="ChkHistorial"  CssClass="form-control" <?php echo $ChkHistorial;?>>
                  </div>
                  </div>
              </div>
              <div class="row">
                  <br />
                  <div class="col-sm-8">
                      <div class="form-group">
                      <label>Número de contraseñas almacenadas por usuario</label>
                      <input type="text" name="TxtHistorial"  id="TxtHistorial" maxlength="10" CssClass="form-control"  value="<?php echo $TxtHistorial;?>" required>
                    </div>
                    </div>
              </div>
            </div>
            <div class="modal-footer">
              <!--<input type="button" class="btn btn-default" data-dismiss="modal" value="Cancelar">-->
              <input type="submit" class="btn btn-success" value="Guardar datos">
            </div>
          </form>
        </div>
      </div>
			<div id="loader"></div><!-- Carga de datos ajax aqui -->
			<div id="resultados"></div><!-- Carga de datos ajax aqui -->
			<div class='outer_div'></div><!-- Carga de datos ajax aqui -->


        </div>
    </div>


	<script src="js/script_conf_acceso.js"></script>
</body>
</html>
