<?php
// Initialize the session
session_start();

// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true){
    header("location: login.php");
    exit;
}
?>
<?php

	/* Connect To Database*/
	require_once ("ajax/conexion.php");
	 $sql="SELECT Longitud_minima, Hay_mayusculas, Hay_minusculas, Hay_numeros, Hay_especiales, Obliga_mayusculas, Obliga_minusculas, Obliga_numeros, Obliga_especiales, Caracteres_especiales, No_ascendentes, No_descendentes, Dos_iguales, No_secuencia_2, No_secuencia_3, No_secuencia_4, No_secuencia_5 FROM configuracion_password";
								  $query = mysqli_query($con,$sql);
	                        	 $valores = mysqli_fetch_array($query);
								$Longitud_minima=$valores['Longitud_minima'];
								$Hay_mayusculas=$valores['Hay_mayusculas'] == '1' ? 'checked' : '';
								$Hay_minusculas = $valores['Hay_minusculas'] == '1' ? 'checked' : '';
								$Hay_numeros=$valores['Hay_numeros'] == '1' ? 'checked' : '';
								$Hay_especiales=$valores['Hay_especiales']== '1' ? 'checked' : '';
								$Obliga_mayusculas=$valores['Obliga_mayusculas'];
								$Obliga_minusculas=$valores['Obliga_minusculas'];
								$Obliga_numeros=$valores['Obliga_numeros'];
								$Obliga_especiales=$valores['Obliga_especiales'];
								$Caracteres_especiales=$valores['Caracteres_especiales'];
								$No_ascendentes=$valores['No_ascendentes']== '1' ? 'checked' : '';
								$No_descendentes=$valores['No_descendentes']== '1' ? 'checked' : '';
								$Dos_iguales=$valores['Dos_iguales']== '1' ? 'checked' : '';
								$No_secuencia_2=$valores['No_secuencia_2']== '1' ? 'checked' : '';
								$No_secuencia_3=$valores['No_secuencia_3']== '1' ? 'checked' : '';
								$No_secuencia_4=$valores['No_secuencia_4']== '1' ? 'checked' : '';
								$No_secuencia_5=$valores['No_secuencia_5']== '1' ? 'checked' : '';


	?>
<!DOCTYPE html>
<html lang="es">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Configuración de Contraseña </title>

</head>
<body>

    <div class="container">
        <div class="table-wrapper">
            <div class="table-title">
                <div class="row">
                    <div class="col-sm-6">
          						<h2><b>Configurar Contraseña</b></h2>
          					</div>

                </div>
            </div>
            <div class='col-sm-4 pull-right'>

      			</div>
			<!--<div class='clearfix'></div>-->
			<hr>
    			<div id="loader"></div><!-- Carga de datos ajax aqui -->
    			<div id="resultados"></div><!-- Carga de datos ajax aqui -->
    			<div class='outer_div'></div><!-- Carga de datos ajax aqui -->



    <div class="modal-dialog">
      <div class="modal-content">
        <form name="edit_conf_contrasena" id="edit_conf_contrasena">
          <div class="modal-header">
            <!--<h4 class="modal-title">Agregar Configuración de Acceso</h4>-->
            <!--<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>-->
          </div>
          <div class="modal-body">


                            <div class="row">
                              <br />
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <Label >Longitud mínima de la contraseña</Label>
                                        <input type="TextBox" id="TxtLonMin" name="TxtLonMin"  CssClass="form-control" value="<?php echo $Longitud_minima;?>">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <br />
                                <div class="col-sm-5">
                                   <div class="form-group">
                                        <label  >¿Debe incluir mayúsculas?</label>
                                        <input type="CheckBox" id="ChkMay" name="ChkMay"  CssClass="form-control"  <?php echo $Hay_mayusculas;?>>
                                    </div>
                                </div>
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <label>M&iacute;nimo de mayúsculas</label>
                                        <input type="TextBox" name="TxtMinMay" id="TxtMinMay" CssClass="form-control" value=<?php echo $Obliga_mayusculas;?>>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <br />
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <label>¿Debe incluir minúsculas?</label>
                                       <input type="CheckBox" name="ChkMin" id="ChkMin"  CssClass="form-control"  <?php echo $Hay_numeros;?>>
                                    </div>
                                </div>
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <label>M&iacute;nimo de minúsculas</label>
                                        <input type="TextBox" name="TxtMinMin" id="TxtMinMin"  CssClass="form-control" value="<?php echo $Obliga_minusculas;?>">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <br />
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <label>¿Debe incluir números?</label>
                                       <input type="CheckBox" name="ChkNum" id="ChkNum"  CssClass="form-control"  <?php echo $Hay_numeros;?>>
                                    </div>
                                </div>
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <label>M&iacute;nimo de números</label>
                                        <input type="TextBox" name="TxtMinNum" id="TxtMinNum"  CssClass="form-control" value="<?php echo $Obliga_numeros;?>">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <br />
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <label>¿Debe incluir caracteres especiales?</label>
                                       <input type="CheckBox" name="ChkEsp" id="ChkEsp"  CssClass="form-control"  <?php echo $Hay_especiales;?>>
                                    </div>
                                </div>
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <label>M&iacute;nimo de caracteres especiales</label>
                                        <input type="TextBox" name="TxtMinEsp" id="TxtMinEsp"  CssClass="form-control" value="<?php echo $Obliga_especiales;?>">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <br />
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <label>Caracteres especiales permitidos:</label>
                                        <input type="TextBox" name="TxtCarEsp" id="TxtCarEsp"  CssClass="form-control" value="<?php echo $Caracteres_especiales;?>">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <br />
                                <h1></h1>
                            </div>
                            <div class="row">
                                <div class="col-sm-10">
                                   <div class="form-group">
                                        <label>No acepta letras o números ascendentes</label>
                                       <input type="CheckBox" name="ChkNoAsc" id="ChkNoAsc"  CssClass="form-control" <?php echo $No_ascendentes;?>>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <br />
                                <div class="col-sm-10">
                                   <div class="form-group">
                                        <label>No acepta letras o números descendentes</label>
                                       <input type="CheckBox" name="ChkNoDes" id="ChkNoDes"  CssClass="form-control"  <?php echo $No_descendentes;?>>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <br />
                                <div class="col-sm-10">
                                    <div class="form-group">
                                        <label>No acepta 2 letras, números o caracteres especiales consecutivos</label>
                                       <input type="CheckBox" name="ChkNoIgu" id="ChkNoIgu"  CssClass="form-control"  <?php echo $Dos_iguales;?>>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <br />
                                <div class="col-sm-10">
                                   <div class="form-group">
                                        <label>No acepta secuencias de 2 números o 2 letras o 2 caracteres o ambos</label>
                                       <input type="CheckBox" name="ChkNoSec2" id="ChkNoSec2"  CssClass="form-control"  <?php echo $No_secuencia_2;?>>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <br />
                                <div class="col-sm-10">
                                    <div class="form-group">
                                        <label>No acepta secuencias de 3 números o 3 letras o 3 caracteres o ambos</label>
                                       <input type="CheckBox" name="ChkNoSec3" id="ChkNoSec3"  CssClass="form-control"  <?php echo $No_secuencia_3;?>>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <br />
                                <div class="col-sm-10">
                                   <div class="form-group">
                                        <label>No acepta secuencias de 4 números o 4 letras o 4 caracteres o ambos</label>
                                       <input type="CheckBox" name="ChkNoSec4" id="ChkNoSec4"  CssClass="form-control"  <?php echo $No_secuencia_4;?>>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <br />
                                <div class="col-sm-10">
                                    <div class="form-group">
                                        <label>No acepta secuencias de 5 números o 5 letras o 5 caracteres o ambos</label>
                                       <input type="CheckBox" name="ChkNoSec5" id="ChkNoSec5"  CssClass="form-control"  <?php echo $No_secuencia_5;?>>
                                    </div>
                                </div>
                            </div>


          </div>
          <div class="modal-footer">
            <!--<input type="button" class="btn btn-default" data-dismiss="modal" value="Cancelar">-->
            <input type="submit" class="btn btn-success" value="Guardar datos">
          </div>
        </form>
      </div>
    </div>


	<script src="js/script_conf_contrasena.js"></script>
</body>
</html>
