<?php
// Initialize the session
session_start();

// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true){
    header("location: login.php");
    exit;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Consultar votación</title>
<style type="text/css">
table.table tr th:last-child {
  width: 100px;
}
</style>
<script src="bootstrap-datepicker/bootstrap-datepicker.min.js" charset="utf-8"></script>
<link rel="stylesheet" href="bootstrap-datepicker/bootstrap-datepicker.css">
</head>
<body>

    <div class="container">
        <div class="table-wrapper">
            <div class="table-title">
                <div class="row hidden-print">
                  <div class='col-sm-6'>
        						<h2>Consultar votación</h2>
        					</div>

                </div>
            </div>

            <div class="row hidden-print">
                <div class="col-sm-6">
                    <form id="votacion" name="votacion">
                      <div class="form-group">
                      <label>Fecha a consultar</label>

                        <input type="text" id="fecha" name="fecha" data-provide="datepicker"  size="12" required>
                        <input type="submit" value="Consultar" />
                        <a download="votacion.xls" href="#" class="hidden-print" onclick="return ExcellentExport.excel(this, 'tablaResultados', 'votacion.xlsx');">Exportar a Excel</a>
                      </div>
                    </form>
                    </div>
              </div> <!-- row -->

			<div class='clearfix'></div>
			<hr>
			<div id="loader"></div><!-- Carga de datos ajax aqui -->
			<div id="resultados"></div><!-- Carga de datos ajax aqui -->
			<div class='outer_div'></div><!-- Carga de datos ajax aqui -->


        </div>
    </div>
    <script language="javascript" type="text/javascript">

      $('#fecha').datepicker({
           format: "dd/mm/yyyy"

      });
      $('#edit_fecha').datepicker({
           format: "dd/mm/yyyy"

      })
      </script>
	<script src="js/script_votacion.js"></script>
    <script src="js/excellentexport.js"></script>
</body>
</html>
