<?php
// Initialize the session
session_start();

// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true){
    header("location: login.php");
    exit;
}
?>
<!DOCTYPE html>
<html lang="es">
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="CACHE-CONTROL" content="NO-CACHE" />
    <meta http-equiv="PRAGMA" content="NO-CACHE" />
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto|Varela+Round">
	<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
	<link rel="stylesheet" href="css/custom.css">


	 <link rel="stylesheet" href="css/styles_menu.css">
	 <title>Sistema de Administración de Iniciativas</title>
</head>
<body>
    <form id="form1" runat="server">
        <header>
            <div class="row-fluid">
                <div class="row">
                    <nav class="navbar bg-primary" style="margin-bottom: 0px;">
                        <div class="nav navbar-nav navbar-left">
                            <div class="col-sm-2">
                                <img src="images/user003.png" alt="session info" style="width: 64px; height: 64px" />
                            </div>

                            </div>


                        <div class="nav navbar-nav navbar-right">
                            <div class="btn-group" style="padding-right: 20px;">
                                <img src="images/logo.svg" alt="Logo" onclick="location.href='home.php'" />
                            </div>
                        </div>
                    </nav>
                </div>
            </div>




<!-- Navbar Menu -->
<!--<div class="container">-->

<nav class="navbar my-navbar">
  <div class="container-fluid">
	 <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
      <ul class="nav navbar-nav">
        <li class="active"><a href="home.php">Inicio <span class="sr-only"></span></a></li>

        <li class="dropdown">
          <a href="" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Catálogos <span class="caret"></span></a>
          <ul class="dropdown-menu">
            <li><a onclick="load_partidos(1);" >Partidos</a></li>
			<li><a onclick="load_estatus(1);">Tipo de voto</a></li>
			<li><a onclick="load_iniciativa(1);">Iniciativas</a></li>
			<li><a onclick="load_congresistas(1);">Diputados</a></li>
		</ul>
        </li>
		<li class="dropdown">
          <a href="" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Seguridad <span class="caret"></span></a>
          <ul class="dropdown-menu">
            <!--<li><a onclick="load_conf_contrasena(1);" >Configurar Contraseña</a></li>
             <li><a onclick="load_conf_acceso(1);" >Configurar Acceso</a></li>-->
			      <li><a onclick='load_usuarios(1);' >Usuarios</a></li>
            <li><a onclick="load_grupos(1);" >Grupos</a></li>
           <li><a onclick="load_permisos_grupos(1);" >Asignar permisos a grupos</a></li>
			     <li><a onclick="load_desbloquea_usuario(1);" >Desbloquear Usuario</a></li>
           <li><a onclick="load_desbloquea_sesion(1);" >Desbloquear Sesión</a></li>

		</ul>
        </li>
		 <li><a href="logout.php">Salir</a></li>
      </ul>


    </div><!-- /.navbar-collapse -->
  </div><!-- /.container-fluid -->
</nav>
<!--</div> --><!-- container -->




        </header>




            <div class='principal'>
			</div>


    </form>

</body>

<!--<script src="js/script_menu.js"></script>-->
<script src="js/script_ini.js" charset="utf-8"></script>

</html>
