
<?php
// Initialize the session
session_start();

// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true){
    header("location: login.php");
    exit;
}
require_once ("ajax/conexion.php");//Contiene funcion que conecta a la base de datos

?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Sistema de Administración de Iniciativas</title>

<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="CACHE-CONTROL" content="NO-CACHE" />
    <meta http-equiv="PRAGMA" content="NO-CACHE" />
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto|Varela+Round">
	<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
	<link rel="stylesheet" href="css/custom.css">
	 <link rel="stylesheet" href="css/menu.css">
	 <title>Sistema de Administración de Iniciativas</title>
</head>
</head>

<body>


<?php


// Perform queries
$sqlquery = " SELECT id_grupo FROM catalogo_usuarios where id_usuario='". $_SESSION["username"] ."' ";
$res=mysqli_query($con,$sqlquery);
$datos=mysqli_fetch_array($res);
$grupo = $datos['id_grupo'];


  $elemento='.';
  $menu = "";


  $sqlquery =  "SELECT DISTINCT  SUBSTRING_INDEX( m.posicion, '$elemento', 1) AS id,m.id_menu , m.textoMenu , m.pagina,m.posicion FROM Catalogo_Menu m, permisos_grupos p WHERE m.id_menu=p.id_menu  AND m.pagina='[none]'  AND p.id_grupo=$grupo AND m.activo=1 order by m.posicion ";

  $res=mysqli_query($con,$sqlquery);

    while($row=mysqli_fetch_array($res,MYSQLI_ASSOC))
    {

        $menu .="<li><a href='".$row['pagina']."'>".$row['textoMenu']."</a>";
        $menu .= "<ul>".get_menu_tree($row['id'])."</ul>"; //call  recursively
        $menu .= "</li>";

    } //while
$menu .="<li><a href='logout.php'>Salir</a></li>";
function get_menu_tree($parent_id)
{
  global $con;
  global $grupo;
  $elemento='.';
  $menu1 = "";

  $sqlquery =  "SELECT DISTINCT SUBSTRING_INDEX( m.posicion, '$elemento', 1) AS id, m.id_menu , m.textoMenu , m.pagina,m.posicion FROM Catalogo_Menu m, permisos_grupos p WHERE m.id_menu=p.id_menu AND SUBSTRING_INDEX( m.posicion, '$elemento', 1)='$parent_id' AND m.pagina <> '[none]'  AND p.id_grupo=$grupo AND m.activo=1 order by m.posicion ";

  $res=mysqli_query($con,$sqlquery);

    while($row=mysqli_fetch_array($res,MYSQLI_ASSOC))
    {
        $menu1 .="<li><a onclick='".$row['pagina']."'>".$row['textoMenu']."</a>";
        $menu1 .= "</li>";

    }



  return $menu1;
}


?>
<header>
    <div class="row-fluid">
        <div class="row">
            <nav class="navbar bg-primary" style="margin-bottom: 0px;">
                <div class="nav navbar-nav navbar-left">
                    <div class="col-sm-2">
                        <img src="images/user003.png" alt="session info" style="width: 64px; height: 64px" />
                    </div>

                    </div>


                <div class="nav navbar-nav navbar-right">
                    <div class="btn-group" style="padding-right: 20px;">
                        <img src="images/logo.svg" alt="Logo" onclick="location.href='home.php'" />
                    </div>
                </div>
            </nav>
        </div>
    </div>
  </header>
<ul class="main-navigation">
<?php echo $menu;?>
</ul>
<div class='principal'>
</div>

</body>
<script src="js/script_ini.js" charset="utf-8"></script>
</html>
<?php mysqli_close($con); ?>
