<?php
// Initialize the session
session_start();

// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true){
    header("location: login.php");
    exit;
}
require_once ("ajax/conexion.php");//Contiene funcion que conecta a la base de datos
include("ajax/queryscalar.php");

?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Administración de Orden del día </title>
<style type="text/css">
table.table tr th:last-child {
  width: 350px;
}
</style>
</head>
<body>

    <div class="container">
        <div class="table-wrapper">
            <div class="table-title">
              <div class="row">
                  <div class="col-sm-6">
      						        <h2>Administrar <b>Orden del día</b></h2>
      					  </div>
            	<div class="col-sm-6">
        						<!--<a href="#addOrdenModal" class="btn btn-success" data-toggle="modal"><i class="material-icons">&#xE147;</i> <span>Agregar elemento</span></a>-->

                    <a href="#"  data-target="#addOrdenModal" class="btn btn-success" data-toggle="modal" data-categoria='0' data-numeracion='' data-descripcion=''><i class="material-icons">&#xE147;</i> <span>Agregar elemento</span></a>
        					</div>
              </div> <!-- row -->
            </div> <!--table tittle -->
            <div class="row">
                <div class="col-sm-6">

                      <div class="form-group">
                      <label>Fecha orden del día</label>
                      <?php
                      date_default_timezone_set("America/Mexico_City");
                      $fecha=date("Ymd");
                      $fechoy=date("d/m/Y");
                    //  $fecha=queryscalar("SELECT DATE_FORMAT(sysdate(3),'%Y%m%d') AS resultado",$con);
                      //$fechoy=queryscalar("SELECT DATE_FORMAT(sysdate(3),'%d/%m/%Y') AS resultado",$con);
                      $_SESSION['fecha']=$fecha;
                      ?>
                        <input type="text" id="fechoy" name="fechoy"   size="12" readonly value='<?php echo $fechoy ?>'>
                        <input type="hidden" id="fecha" name="fecha"   size="12" readonly value='<?php echo $fecha ?>'>
                      </div>

                    </div>
                  <div class="col-sm-6">
                  <div class="form-group">
                    <form id="subearchivo" name="subearchivo" enctype="multipart/form-data" method="post">
                       <label> Archivo </label>
                       <input type="file" id="archivo" name="archivo" required="required" />
                       <input type="submit" value="Subir" />
                    </form>
                  </div>
                  <?php
                      $nombre_fichero = 'orden_del_dia/' . $_SESSION['fecha'] . '.pdf';

                    if (file_exists($nombre_fichero)) {
                      $cargado="El archivo $nombre_fichero ya está cargado";
                    $_SESSION['$nombre_archivo']=$nombre_fichero;
                    } else {
                      $cargado= "El archivo $nombre_fichero no está cargado";
                    }
                    ?>
                    <div id="valida_archivo"> <?php echo $cargado ?> </div>
                </div>

			</div>

      <div class="row">
                  <div class="col-sm-3">
                        <div class="form-group">

                            <form id="cronometro" name="cronometro">
                               <label>Tiempo Cronómetro 1 </label>
                               <input type="text" id="tiempo" name="tiempo"   size="3">
                               <input type="submit" value="Iniciar" />
                            </form>
                          </div> <!--class form-group -->
                            <div id="tiempo_cronometro">  </div>
                        </div> <!--<div class="col-sm-3">  -->




                      <div class="col-sm-3">

                      <form id="ver_cronometro_pantalla" name="ver_cronometro_pantalla">
                        <div class="form-group">
                                <label>2</label>
                                 <input type="hidden" id="opcion" name="opcion"  value="4">
                                 <input type="submit" value="Cronómetro"   />
                        </div>
                      </form>
                      <div id="ver_cronometro">  </div>
                    </div>
                    <div class="col-sm-3">
                          <div class="form-group">

                          <form id="pausar_cronometro" name="pausar_cronometro">
                            <label>3</label>
                             <input type="submit" value="Pausar/Reiniciar" />
                          </form>
                        </div> <!--class form-group -->
                        <div id="pausa_cromometro">  </div>
                      </div> <!--<div class="col-sm-3">  -->
                        <div class="col-sm-3">
                              <div class="form-group">

                              <form id="limpiar_pantalla" name="limpiar_pantalla">
                                <label>4</label>
                                <input type="hidden" id="opcion" name="opcion"  value="0">
                                 <input type="submit" value="Limpiar Pantalla" />
                              </form>
                            </div> <!--class form-group -->
                            <div id="limpia_pantalla">  </div>
                          </div> <!--<div class="col-sm-3">  -->

            </div> <!-- row -->


			<div class='clearfix'></div>
			<hr>
			<div id="loader"></div><!-- Carga de datos ajax aqui -->
			<div id="resultados"></div><!-- Carga de datos ajax aqui -->
			<div class='outer_div'></div><!-- Carga de datos ajax aqui -->
      <div id="resultadosimpresion" name="resultadosimpresion"></div>

    


    <div id="VerPantallaModal" class="modal fade">
    		<div class="modal-dialog">
    			<div class="modal-content">
    				<form name="ver_pantalla" id="ver_pantalla">
    					<div class="modal-header">
    						<h4 class="modal-title">Ver en Pantalla</h4>
    						<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
    					</div>
    					<div class="modal-body" id="VerPantallaModalBody">

    					<!--	<div class="form-group">
    							<label>Presiona aceptar para ver el texto en pantalla</label>
                   <input type="hidden" name="id_orden"  id="id_orden" maxlength="20" class="form-control" >
    						</div>-->

    					</div>
    					<div class="modal-footer">
    						<input type="button" class="btn btn-default" data-dismiss="modal" value="Cancelar">
               	<input type="submit" class="btn btn-success" value="Aceptar">

    					</div>
    				</form>
    			</div>
    		</div>
    	</div>

      <div id="VotarPantallaModal" class="modal fade">
      		<div class="modal-dialog">
      			<div class="modal-content">
      				<form name="votar_pantalla" id="votar_pantalla">
      					<div class="modal-header">
      						<h4 class="modal-title">Votar elemento de la orden del día</h4>
      						<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
      					</div>
      					<div class="modal-body" id="VotarPantallaModalBody">

      					<!--	<div class="form-group">
      							<label>Presiona aceptar para ver el texto en pantalla</label>
                     <input type="hidden" name="id_orden"  id="id_orden" maxlength="20" class="form-control" >
      						</div>-->

      					</div>
      					<div class="modal-footer">
      						<input type="button" class="btn btn-default" data-dismiss="modal" value="Cancelar">
                  <input type="submit" class="btn btn-success" value="Aceptar">

      					</div>
      				</form>
      			</div>
      		</div>
      	</div>


        <div id="CerrarVotacionModal" class="modal fade">
            <div class="modal-dialog">
              <div class="modal-content">
                <form name="cerrar_votar_pantalla" id="cerrar_votar_pantalla">
                  <div class="modal-header">
                    <h4 class="modal-title">Votar elemento de la orden del día</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                  </div>

                    <div class="modal-body">
                     <div class="form-group">
                      <label>¿Estás seguro de querer cerrar la votación?</label>

                    </div>
                  </div>

                  <div class="modal-footer">
                    <input type= "hidden" id="id_elemento" name="id_elemento" />
                    <input type="button" class="btn btn-default" data-dismiss="modal" value="Cancelar">
                    <input type="submit" class="btn btn-success" value="Aceptar">

                  </div>
                </form>
              </div>
            </div>
          </div>

          <div id="ResultadosVotacionModal" class="modal fade">
              <div class="modal-dialog">
                <div class="modal-content">
                  <form name="r_votar_pantalla" id="r_votar_pantalla">
                    <div class="modal-header">
                      <h4 class="modal-title">Ver Resultados</h4>
                      <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    </div>

                    <div class="modal-body">
                    <div class="form-group">
                        <label>¿Deseas ver los resultados la votación?</label>

                      </div>
                    </div>


                    <div class="modal-footer">
                      <input type="hidden" id="rid_elemento" name="rid_elemento" />
                      <input type="button" class="btn btn-default" data-dismiss="modal" value="Cancelar">
                      <input type="submit" class="btn btn-success" value="Aceptar">

                    </div>
                  </form>
                </div>
              </div>
            </div>

	<!-- Edit Modal HTML -->
	<?php include("html/modal_orden_add.php");?>
	<!-- Edit Modal HTML -->
	<?php include("html/modal_orden_edit.php");?>
	<!-- Delete Modal HTML -->
	<?php include("html/modal_orden_delete.php");?>
	<script src="js/script_orden1.js"></script>



</body>
</html>
