<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Pantalla 2</title>
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto|Varela+Round">
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<link rel="stylesheet" href="css/custom.css">
<style>
body {
	background-color: #292929;
	color: #FFFFFF;
	overflow:hidden;
	font-size: 3vw;
	line-height: 1.2em;
	}
#timeCounter{
	font-size: 6vw;
}
h3 {
	font-size: 4vw;
}
#tipo{
	font-size:2w;
}
#h1Cronometro{
 	font-size: 35vw;
 }
 #titleCronometro {
 	font-size: 20vw;
 }

 .yellow {
 	color: #FFFF00;
 }

 .green {
 	color: #00FF00;
 }

 .red {
 	color: #FF0000;
 }

</style>
</head>
<body>
	 <div class="container-fluid">
	 	<div class="row">
			<div class="col-lg-2 col-md-2 col-sm-2 col-xs-2 text-left" >
				<h1 id="timeCounter"></h1>
			</div>
			<div class="col-lg-10 col-md-10 col-sm-10 col-xs-10 text-left" >
				<h1 id="resumentotal"></h1>
			</div>
	 	</div><!-- row -->
    	<div id="data">
    	</div>
    	<div id="dataAsistencia">
    	</div>
    	<div class="row">
			<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center" >
				<h1 id="h1Cronometro"></h1>
			</div>
	 	</div><!-- row -->
    </div> <!-- container -->
    <script type="text/javascript">

    	var urlMain = "json/tipo.php";
       	var timerTipoID;
    	var globalTimerID;
    	var globalID="0";
    	$( document ).ready(function() {
    		selectTipo();
		});

		function selectTipo() {
			$.getJSON(urlMain, function (json) {
                //console.log("id: [" + json.result[0].id + "] tipo:[" + json.result[0].tipo +"]");
                if (globalID != json.result[0].id) {
                	globalID = json.result[0].id;
                	clearAll();
                	if (globalID == "1") {
                		reloadResultsAsistencia();

                		$("#data").html("");
                		$("#data").hide();
                		$("#resumentotal").html("");
                		$("#dataAsistencia").html("");
                	} else if (globalID == "2") {
                		reloadResultsAsistencia(); // cambiar por asistencia por quorum
                		$("#data").html("");
                		$("#data").show();
                	} else if (globalID == "3") {
                		reloadResults();
                		reloadTime();
                		$("#timeCounter").show();
						$("#data").show();
                		$("#dataAsistencia").hide();
                	} else if (globalID == "4") {
                		reloadTimeCronometro();
                		$("#h1Cronometro").show();
                	}// else if
                } // globalID != json.result[0].id
             });// getJSON
			 timerTipoID = setTimeout("selectTipo()", seconds*1000); // 5 segundos
		}// selectTipo

		function clearAll(){
			//console.log("clearAll...");
			stop=false;
			clearTimeout(timerReloadTimeID);
			clearTimeout(timerReloadID);
			stopCronometro=false;
			clearTimeout(timerIDCronometro);
			clearTimeout(timerReloadIDAsistencia);
			$("#h1Cronometro").html("");
			$("#timeCounter").html("");
			$("#data").html("");
			$("#h1Cronometro").hide();
			$("#timeCounter").hide();
			$("#data").hide();
			$("#dataAsistencia").html("");
			$("#resumentotal").html("");
			$("#resumentotal").hide();
			$("#dataAsistencia").hide();

		}// clearAllTimeOut


     </script>
     <!--###### 1 Asistencia ########## -->
      <script type="text/javascript">
    	var secondsAsistencia = 1;
    	var urlAsistencia ="https://seav.congresocdmx.gob.mx/getAsistencia.php";
    	var timerReloadIDAsistencia;

		var bgcolor= ["#696969", "#808080"];
		var cont=0;
		function reloadResultsAsistencia() {
			$("#dataAsistencia").show();
			$.getJSON(urlAsistencia, function (json) {
				//console.log("json: " + json);
                //console.log("json.result.length:" + json.result.length);
                var content ="";
                var content1="";
                var img="";
                var imgP = "";
                var data = "<h3 class='text-center'>LISTA DE ASISTENCIA &nbsp;&nbsp;<span style='color:#FF0000;'>TOTAL: "+json.result.length+"</span></h3>";

                var cont =0;
                for (var i=0; i< json.result.length; i++) {
                	console.log("json.result[i].lastname " + json.result[i].lastname);
                	console.log(json.result[i].lastname<"MORALES");
                	if (json.result[i].lastname<"MORALES") {
                		continue;
                	} //ubica==2
                	console.log("json.result[i].lastname " + json.result[i].lastname);
                	content=json.result[i].name.split(":")[0] + "<br/>";
                	//img ="<img src=images/diputados/"+json.result[i].id + ".jpg class='img-responsive' style='width:30%;height:30%;' />";
                	data += "<div class='row'  style='background-color:"+bgcolor[cont]+"'>" +
                			//"<div class='col-lg-2 col-md-2 col-sm-2 col-xs-2 text-left'> " + img + " </div>" +
    					//	"<div class='col-lg-12 col-md-12 col-sm-12 col-xs-12 text-left'  style='background-color:"+bgcolor[cont]+"'>" + content + "</div>" +
	    					    						"<div class='col-lg-12 col-md-12 col-sm-12 col-xs-12 text-left'  style='background-color:"+bgcolor[cont]+"'>" + json.result[i].lastname + " " + json.result[i].lastname2 + " " + json.result[i].names + "</div>" +

	    					"</div> ";
	    					 cont++;
                	if (cont ==2){
                		cont =0;
                	}//if
                }//for i
                //console.log("data" + data);
                $("#dataAsistencia").html(data);
             }); // getJSON
             timerReloadIDAsistencia = setTimeout("reloadResultsAsistencia()", secondsAsistencia*1000); // 5 segundos
		}//reloadResultsAsistencia
    </script>
    <!--######3 Votaciones ########## -->
     <script type="text/javascript">
     	var timerReloadID;
     	var timerReloadTimeID;
     	var seconds = 3;
    	var cronosSeconds = 0.2;
    	var url ="https://seav.congresocdmx.gob.mx/json/listfull.php";
       	var urlTimer ="https://seav.congresocdmx.gob.mx/cronosVote.php";
     		function reloadResults() {
			$.getJSON(url, function (json) {
				$("#resumentotal").show();
				$("#data").show();
				//console.log("json: " + json);
                //json = JSON.parse(json);
                //console.log("json.result.length:" + json.result.length);
                var content ="";
                var content1="";
                var img="";
                var imgP = "";
                var data = "";
                var bgcolor= ["#292929", "#404040"];
				var cont=0;
				var colorTipo = "";

                for (var i=0; i< json.result.length; i++) {
                	if (json.result[i].lado=="1"){
                	content=json.result[i].name.split(":")[0];
                	content1=json.result[i].name.split(":")[1];
                	//console.log("content1: [" + content1+ "]");
                	if (content1.indexOf("ABSTENCI")>=0 ){
                		content1="<span style='color:#FFFF00;'>ABSTENCI&Oacute;N</span>";
                		colorTipo = "yellow";
                	} else if (content1.indexOf("A FAVOR")>=0){

                		colorTipo = content1;
                		content1 = "<span style='color:#00FF00;'>" + colorTipo + "</span>"
                	} else if (content1.indexOf("EN CONTRA")>=0) {
                		colorTipo = content1;
                		content1 = "<span style='color:#FF0000;'>" + colorTipo + "</span>"
                	}// else
                	imgP ="<img src=images/partidos/"+json.result[i].partido + ".jpg style='width:60%;height:60%;'/>";
                	data += "<div class='row'  style='background-color:"+bgcolor[cont]+"'>"+
                			//"<div class='col-lg-2 col-md-2 col-sm-2 col-xs-2 text-left'> "+img+" </div>"+
    						"<div class='col-lg-8 col-md-8 col-sm-8 col-xs-8 text-left' style='background-color:"+bgcolor[cont]+"'>"+content+"</div>" +
    						"<div class='col-lg-1 col-md-1 col-sm-1 col-xs-1 text-center' style='background-color:"+bgcolor[cont]+"'> "+imgP+" </div>" +
	    					"<div class='col-lg-3 col-md-3 col-sm-3 col-xs-3 text-left' style='background-color:"+bgcolor[cont]+"; padding-right:10px;' class='tipo "+colorTipo+"' >"+content1+"</div></div> ";
		                cont++;
		                if (cont==2){
		                	cont =0;
		                }//if
	                }// if ==1

                }//for i
                if (json.result.length>1) {
                	var afavor = "<span style='color:#00FF00;font-size:4w;'>&nbsp;A FAVOR <strong>" + json.result[1].afavor + "</strong>&nbsp;</span>";
                	var encontra = "<span style='color:#FF0000;font-size:4w;'>&nbsp;EN CONTRA <strong>" + json.result[1].encontra + "</strong>&nbsp;</span>";
                	var abstencion = "<span style='color:#FFFF00;font-size:4w;'>&nbsp;ABSTENCI&Oacute;N <strong>" + json.result[1].abstencion + "</strong></span>";
                	$("#resumentotal").html(afavor + " " + encontra + " " + abstencion);
                }

                //console.log("data" + data);
                $("#data").html(data);
             }); // getJSON
             timerReloadID = setTimeout("reloadResults()", seconds*1000); // 5 segundos
		}//reloadResults

		function reloadTime() {
			$.getJSON(urlTimer, function (json) {
                var content ="";
                if (json.result[0].hour!="404"){
	                content +="hora: " + json.result[0].hour + ", tiempo " + json.result[1].time + " now: " + json.result[2].now + " diff: " + json.result[3].diff + " fin: " + json.result[4].end;
	                if (json.result[3].diff>=0) {
	                	m = parseInt(json.result[3].diff/60 , 10);
	                	s = json.result[3].diff % 60;
	                	content += "<br/>m: " + m + " : s "+ s;

	                } else {
	                	stop=true;
	                   clearTimeout(timerReloadID);
	                }//if diff>=0
                }else {
                		stop=true;
	                   clearTimeout(timerReloadID);
                }//if json.result.length>0
                timer();
                //totalSeconds = json.result[3].diff;
             }); // getJSON
             timerReloadTimeID = setTimeout("reloadTime()", cronosSeconds*1000); // medio segundo
		}//reloadTime

    	function timer() {
    		if (! stop){
	    		min = "0"+m;
	    		min = min.charAt(min.length-2)+ min.charAt(min.length-1);
	    		seg="0"+s;
	    		seg = seg.charAt(seg.length-2)+ seg.charAt(seg.length-1);
	    		$("#timeCounter").html(min + ":"+ seg );
    		}else {
    			$("#timeCounter").html("00:00");
    		}//if
    	}//timer
     </script>

    <!--######4 Cronómetro ########## -->
     <script type="text/javascript">
    	var secondsCronometro = 0.4;
    	var m = 0;
    	var s = 0
    	var stop=false;
    	var urlCronometro ="cronos.php";
    	var timerIDCronometro;
    	var totalSecondsCronometro = 0;
    	var mCronometro = 0;
    	var sCronometro = 0
    	var stopCronometro=false;

    	function reloadTimeCronometro() {
    		//clearAll();
			$.getJSON(urlCronometro, function (json) {
				if (json.result[5].pausa =="0") {
	                var content ="";
	                content +="hora: " + json.result[0].hour + ", tiempo " + json.result[1].time + " now: " + json.result[2].now + " diff: " + json.result[3].diff + " fin: " + json.result[4].end;
	                 stopCronometro=false;
	                 if (json.result[3].diff<0) {
	                	 stopCronometro=true;
	                 }// diff<0
	                	mCronometro = parseInt(json.result[3].diff/60 , 10);
	                	sCronometro = json.result[3].diff % 60;
	                	content += "<br/>m: " + m + " : s "+ s;
	                timerCronometro();
	                totalSecondsCronometro = json.result[3].diff;
				}// if pausa == "0" si no hay pausa
             }); // getJSON
             timerIDCronometro = setTimeout("reloadTimeCronometro()", secondsCronometro*1000); // medio segundo
		}//reloadTimeCronometro

    	function timerCronometro() {
    		min = "00"+Math.abs(mCronometro);
    		min = min.charAt(min.length-2)+ min.charAt(min.length-1);
    		seg="00"+Math.abs(sCronometro);
    		seg = seg.charAt(seg.length-2)+ seg.charAt(seg.length-1);
    		if (stopCronometro){
    			$("#h1Cronometro").css("color", "#B22222");
    			$("#h1Cronometro").html(min + ":"+ seg );
    		}else {
    			$("#h1Cronometro").css("color", "#FFFFFF");
    			$("#h1Cronometro").html(min + ":"+ seg );
    		}// else
    	}//timerCronometro
    </script>

</body>
</html>
