<?php
session_start();
require_once ("../ajax/conexion.php");//Contiene funcion que conecta a la base de datos
include("../ajax/queryscalar.php");
include("../ajax/functionpass.php");

 $temp=repetido($con);


// Define variables and initialize with empty values
$username = $password = $confirm_password = "";
$username_err = $password_err = $confirm_password_err = "";
	   // Validate username
    if(empty(trim($_POST["txtIdUsuario"]))){
        $username_err = "Teclea un usuario.";
		$errors[] = "Teclea un usuario.";
  }elseif ($temp==1){
  $errors[] = "El usuario ya está dado de alta.";
  $username_err = "El usuario ya está dado de alta.";
  } else{
        // Prepare a select statement
        $sql = "SELECT id_registro FROM catalogo_usuarios WHERE id_usuario = ?";

        if($stmt = mysqli_prepare($con, $sql)){
            // Bind variables to the prepared statement as parameters
            mysqli_stmt_bind_param($stmt, "s", $param_username);

            // Set parameters
            $param_username = trim($_POST["txtIdUsuario"]);

            // Attempt to execute the prepared statement
            if(mysqli_stmt_execute($stmt)){
                /* store result */
                mysqli_stmt_store_result($stmt);

                if(mysqli_stmt_num_rows($stmt) == 1){
                    $username_err = "Ya existe el nombre de usuario.";
					$errors[] = "Ya existe el nombre de usuario.";
                } else{
                    $username = trim($_POST["txtIdUsuario"]);
                }
            } else{
                echo "Consulte a su administrador .";
            }
        }

        // cerrar statement
        mysqli_stmt_close($stmt);
    }

    // Validar password
    if(empty(trim($_POST["txtcontrasenia"]))){
        $password_err = "Introduce una contraseña.";
		$errors[] = "Introduce una contraseña.";
    }  else{
        $password = trim($_POST["txtcontrasenia"]);
    }

    // Validate confirm password
    if(empty(trim($_POST["txtconfcontrasenia"]))){
        $confirm_password_err = "Necesita confirmar la contraseña.";
		$errors[] = "Necesita confirmar la contraseña.";
    } else{
        $confirm_password = trim($_POST["txtconfcontrasenia"]);
        if(empty($password_err) && ($password != $confirm_password)){
            $confirm_password_err = "Las contraseñas no coinciden.";
			$errors[] = "Las contraseñas no coinciden.";
        }
    }


	if (empty($_POST['txtIdUsuario'])){
		$username_err = "Ingresa el usuario.";
	}
	if (intval($_POST['grupo']==0)){
		$username_err = "Seleccione un grupo.";
	}
  if (empty($_POST['txtnombre'])){
    $username_err = "Ingresa el nombre completo.";
  }else {
      $nombrecompleto=trim($_POST['txtnombre']);// code...
  }

  if (empty($_POST['txtemail'])){
		$username_err = "Ingresa el correo.";
	}
	if (empty($_POST['txtmacaddress'])){
		$username_err = "Ingresa la mac address.";
	}

  $temp2= Contrasena_Compleja($password,$username,$nombrecompleto, True,$con);
//  echo $temp2[0];
//  echo $temp2[1];
  if ($temp2[0]==0){
    $password_err=$temp2[1];
    $errors[]=$temp2[1];
  }
	  if(empty($username_err) && empty($password_err) && empty($confirm_password_err) ){
        $id_grupo = strtoupper(mysqli_real_escape_string($con,(strip_tags($_POST["grupo"],ENT_QUOTES))));
		$correo = strtoupper(mysqli_real_escape_string($con,(strip_tags($_POST["txtemail"],ENT_QUOTES))));
		$correo = strtr($correo, "áéíóú", "ÁÉÍÓÚ");
		$nombre=strtoupper(mysqli_real_escape_string($con,(strip_tags($_POST["txtnombre"],ENT_QUOTES))));
		$nombre = strtr($nombre, "áéíóú", "ÁÉÍÓÚ");
		$mac_address=strtoupper(mysqli_real_escape_string($con,(strip_tags($_POST["txtmacaddress"],ENT_QUOTES))));
      date_default_timezone_set("America/Mexico_City");
      $fechasistema=date("Y-m-d H:i:s");
      //$fechasistema=queryscalar("SELECT DATE_FORMAT(sysdate(3),'%Y%m%d') AS resultado",$con);
      $dias_expiracion = queryScalar("SELECT Dias_Password  AS resultado FROM configuracion_acceso",$con);
      $fecha_expiracion = queryScalar("SELECT DATE_FORMAT (DATE_ADD('".$fechasistema."', INTERVAL '".$dias_expiracion."' DAY),'%Y-%m-%d %H:%i:%s') AS resultado",$con);

        // Prepare an insert statement
        $sql = "INSERT INTO catalogo_usuarios(id_usuario,id_grupo,nombre,passwd,email,mac_address,fecha_expiracion) VALUES (?,?,?,?,?,?,?)";
        if($stmt = mysqli_prepare($con, $sql)){
            // Bind variables to the prepared statement as parameters
            mysqli_stmt_bind_param($stmt, "sssssss", $param_username, $id_grupo,$nombre,$param_password,$correo,$mac_address,$fecha_expiracion);

            // Set parameters
            $param_username = $username;
            $param_password = password_hash($password, PASSWORD_DEFAULT); // Creates a password hash

            $sql1 = "INSERT INTO historial_passwords(id_usuario,contrasena,fecha) VALUES ('$username','$param_password','$fechasistema')";
            $query = mysqli_query($con,$sql1);

            // Attempt to execute the prepared statement
            if(mysqli_stmt_execute($stmt)){
                $messages[] = "El usuario ha sido guardado con éxito.";
                	bitacora( 'ADD', 'load_usuarios(1);','Se guardó el usuario: '. $username .',con nombre:'. $nombre  ,$con);

            } else{
          
                $errors[] = "Lo sentimos, el registro falló. Por favor, regrese y vuelva a intentarlo.";
            }
        }

        // Close statement
        mysqli_stmt_close($stmt);
       // insertar en historial PASSWORD




    // Close connection
   mysqli_close($con);
	  }
if (isset($errors)){

			?>
			<div class="alert alert-danger" role="alert">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
					<strong>Error!</strong>
					<?php
						foreach ($errors as $error) {
								echo $error;

							}
						?>
			</div>
			<?php
			}
			if (isset($messages)){

				?>
				<div class="alert alert-success" role="alert">
						<button type="button" class="close" data-dismiss="alert">&times;</button>
						<strong>¡Bien hecho!</strong>
						<?php
							foreach ($messages as $message) {
									echo $message;
								}
							?>
				</div>
        <?php
			}

				function repetido($con1){

                  $user = mysqli_real_escape_string($con1,(strip_tags(trim($_POST["txtIdUsuario"]),ENT_QUOTES)));
              		$user = strtr($user, "áéíóú", "ÁÉÍÓÚ");

                       $sql = "SELECT COUNT(*) AS conteo FROM catalogo_usuarios WHERE RTRIM(id_usuario)='$user'";
                      //  echo $sql;
              		$query= mysqli_query($con1, $sql);
              		$datos=mysqli_fetch_array($query);
              		$conteo = $datos['conteo'];
        		if ($conteo > 0){

        			$resultado= 1;

        		}else{

        			$resultado=0;
        		}
      		          mysqli_free_result($query);
      		//mysqli_close($con);
      	 return $resultado;
	}
//	mysqli_close($con);
?>
