<?php

	/* Connect To Database*/
	require_once ("../ajax/conexion.php");


$action = (isset($_REQUEST['action'])&& $_REQUEST['action'] !=NULL)?$_REQUEST['action']:'';
if($action == 'ajax'){
	$query = mysqli_real_escape_string($con,(strip_tags($_REQUEST['query'], ENT_QUOTES)));

	$tables="asistencia_padre ap,asistencia a, catalogo_usuarios u";
	$campos="ap.id_padre,u.id_registro,a.id_usuario,u.nombre, DATE_FORMAT(a.fecha,'%d/%m/%Y %H:%i:%s')";
	$sWhere="ap.id_padre=a.id_padre AND a.id_congresista=u.id_registro AND u.nombre LIKE '%".$query."%'";
	$sWhere.=" order by a.fecha desc";


	include 'pagination.php'; //include pagination file
	//pagination variables
	$page = (isset($_REQUEST['page']) && !empty($_REQUEST['page']))?$_REQUEST['page']:1;
	$per_page = intval($_REQUEST['per_page']); //how much records you want to show
	$adjacents  = 4; //gap between pages after number of adjacents
	$offset = ($page - 1) * $per_page;
	//Count the total number of row in your table*/
	$count_query   = mysqli_query($con,"SELECT count(*) AS numrows FROM $tables where $sWhere ");
	if ($row= mysqli_fetch_array($count_query)){$numrows = $row['numrows'];}
	else {echo mysqli_error($con);}
	$total_pages = ceil($numrows/$per_page);
	//main query to fetch the data
	$query = mysqli_query($con,"SELECT $campos FROM  $tables where $sWhere LIMIT $offset,$per_page");
	//loop through fetched data




	if ($numrows>0){

	?>
		<div class="table-responsive">
			<table class="table table-striped table-hover">
				<thead>
					<tr>
						<th>Nombre</th>
						<th>Asistió</th>
						<th>Fecha</th>

						<th></th>
					</tr>
				</thead>
				<tbody>
						<?php
						$finales=0;
						while($row = mysqli_fetch_array($query)){
							$nombre=$row['nombre'];
							if (intval($row['asistencia'])==0){
							$asistencia="Si";
							}else
							{
								asistencia="No";
							}
							$fecha=$row['fecha'];

							$finales++;
						?>
						<tr >
							<td ><?php echo $nombre;?></td>
							<td ><?php echo $asistencia;?></td>
							<td ><?php echo $fecha;?></td>
							<td>
								<a href="#"  data-target="#editGrupoModal" class="edit" data-toggle="modal" data-grupo='<?php echo $nombre_grupo;?>' data-id="<?php echo $id_grupo; ?>"><i class="material-icons" data-toggle="tooltip" title="Editar" >&#xE254;</i></a>
								<a href="#deleteGrupoModal" class="delete" data-toggle="modal" data-id="<?php echo $id_grupo;?>"><i class="material-icons" data-toggle="tooltip" title="Eliminar">&#xE872;</i></a>
                    		</td>
						</tr>
						<?php }?>
						<tr>
							<td colspan='6'>
								<?php
									$inicios=$offset+1;
									$finales+=$inicios -1;
									echo "Mostrando $inicios al $finales de $numrows registros";
									echo paginate( $page, $total_pages, $adjacents);
								?>
							</td>
						</tr>
				</tbody>
			</table>
		</div>



	<?php
	}
}
?>
