<?php

	/* Connect To Database*/
	require_once ("../ajax/conexion.php");


$action = (isset($_REQUEST['action'])&& $_REQUEST['action'] !=NULL)?$_REQUEST['action']:'';
if($action == 'ajax'){
	$query = mysqli_real_escape_string($con,(strip_tags($_REQUEST['query'], ENT_QUOTES)));

	$tables="catalogo_congresistas c, catalogo_usuarios u, catalogo_partidos_politicos p, ubicacion ub";
	$campos="c.id_congresista,u.id_registro,u.nombre ,c.id_partido,p.nombre_corto,c.id_ubicacion,ub.ubicacion ";
	$sWhere=" c.id_usuario= u.id_registro and c.id_partido= p.id_partido and c.id_ubicacion=ub.id_ubicacion and u.nombre LIKE '%".$query."%'";
	$sWhere.=" order by u.nombre";


	include 'pagination.php'; //include pagination file
	//pagination variables
	$page = (isset($_REQUEST['page']) && !empty($_REQUEST['page']))?$_REQUEST['page']:1;
	$per_page = intval($_REQUEST['per_page']); //how much records you want to show
	$adjacents  = 4; //gap between pages after number of adjacents
	$offset = ($page - 1) * $per_page;
	//Count the total number of row in your table*/
	$count_query   = mysqli_query($con,"SELECT count(*) AS numrows FROM catalogo_congresistas ");

	if ($row= mysqli_fetch_array($count_query)){$numrows = $row['numrows'];}
	else {echo mysqli_error($con);}
	$total_pages = ceil($numrows/$per_page);
	//main query to fetch the data
	$query = mysqli_query($con,"SELECT $campos FROM  $tables where $sWhere LIMIT $offset,$per_page");
	//loop through fetched data




	if ($numrows>0){

	?>
		<div class="table-responsive">
			<table class="table table-striped table-hover">
				<thead>
					<tr>
						<th >Nombre</th>

						<th >Partido político</th>
						<th > Ubicación</th>
								<th></th>

					</tr>
				</thead>
				<tbody>


						<?php
						$finales=0;
						while($row = mysqli_fetch_array($query)){
							$id_congresista=$row['id_congresista'];
							$id_usuario=$row['id_registro'];
							$nombre=$row['nombre'];
							$id_partido=$row['id_partido'];
							$nombre_corto=$row['nombre_corto'];
							$id_ubicacion=$row['id_ubicacion'];
							$ubicacion=$row['ubicacion'];
							$finales++;
						?>
						<tr>
							<td style="width:100px"><?php echo $nombre;?></td>
							<td ><?php echo $nombre_corto;?></td>
							<td><?php echo $ubicacion;?></td>

							<td>
								<a href="#"  data-target="#editCongresistaModal" class="edit" data-toggle="modal" data-id-usuario='<?php echo $id_usuario;?>' data-id-partido='<?php echo $id_partido;?>'  data-id="<?php echo $id_congresista; ?>" data-id-ubicacion='<?php echo $id_ubicacion; ?>'><i class="material-icons" data-toggle="tooltip" title="Editar" >&#xE254;</i></a>
								<a href="#deleteCongresistaModal" class="delete" data-toggle="modal" data-id="<?php echo $id_congresista;?>"><i class="material-icons" data-toggle="tooltip" title="Eliminar">&#xE872;</i></a>
              </td>
						</tr>
						<?php }?>
						<tr>
							<td colspan='6'>
								<?php
									$inicios=$offset+1;
									$finales+=$inicios -1;
									echo "Mostrando $inicios al $finales de $numrows registros";
									echo paginate( $page, $total_pages, $adjacents);
								?>
							</td>
						</tr>
				</tbody>
			</table>
		</div>



	<?php
	}
}
?>
