<?php

	/* Connect To Database*/
	require_once ("../ajax/conexion.php");

$fecha_orden = strtoupper(mysqli_real_escape_string($con,(strip_tags($_REQUEST['fecha'],ENT_QUOTES))));
//echo $fecha_orden;
$action = (isset($_REQUEST['action'])&& $_REQUEST['action'] !=NULL)?$_REQUEST['action']:'';
if($action == 'ajax'){
//	$query = mysqli_real_escape_string($con,(strip_tags($_REQUEST['query'], ENT_QUOTES)));

	$tables="catalogo_orden_del_dia o, elemento_orden_del_dia eo, categoria_orden_del_dia co";
	$campos="o.id_orden,eo.id_elemento,eo.id_categoria,RTRIM(co.categoria) as categoria,eo.numeracion,eo.descripcion";
	$sWhere=" o.id_orden=eo.id_orden";
	$sWhere.=" AND eo.id_categoria=co.id_categoria";
	$sWhere.=" AND DATE_FORMAT(o.fecha,'%Y%m%d')=DATE_FORMAT($fecha_orden,'%Y%m%d')";
	$sWhere.=" order by eo.numeracion desc";


	include 'pagination.php'; //include pagination file
	//pagination variables
	$page = (isset($_REQUEST['page']) && !empty($_REQUEST['page']))?$_REQUEST['page']:1;
	$per_page = intval($_REQUEST['per_page']); //how much records you want to show
	$adjacents  = 4; //gap between pages after number of adjacents
	$offset = ($page - 1) * $per_page;
	//Count the total number of row in your table*/
	$count_query   = mysqli_query($con,"SELECT count(*) AS numrows FROM catalogo_orden_del_dia o, elemento_orden_del_dia eo, categoria_orden_del_dia co where o.id_orden=eo.id_orden AND eo.id_categoria=co.id_categoria AND DATE_FORMAT(o.fecha,'%Y%m%d')=DATE_FORMAT($fecha_orden,'%Y%m%d') order by eo.numeracion desc");
	if ($row= mysqli_fetch_array($count_query)){$numrows = $row['numrows'];}
	else {echo mysqli_error($con);}
	$total_pages = ceil($numrows/$per_page);
	//main query to fetch the data
	$query = mysqli_query($con,"SELECT $campos FROM  $tables where $sWhere LIMIT $offset,$per_page");

	//loop through fetched data

	if ($numrows>0){

	?>
	
		<div class="table-responsive">
			<table class="table table-striped table-hover">
				<thead>
					<tr>
						<th>Categoría</th>
						<th>Numeración </th>
						<th>Descripción</th>
						<th></th>
					</tr>
				</thead>
				<tbody>
						<?php
						$finales=0;
						while($row = mysqli_fetch_array($query)){
							$orden_id=$row['id_orden'];
							$elemento_id=$row['id_elemento'];
							$categoria_id=$row['id_categoria'];
							$categoria=	$row['categoria'];
							$numeracion=$row['numeracion'];
							$descripcion=$row['descripcion'];
							$finales++;
						?>
						<tr >
							<td ><?php echo $categoria;?></td>
							<td ><?php echo $numeracion;?></td>
							<td ><?php echo $descripcion;?></td>
							<td>
								<a href="#"  data-target="#editOrdenModal" class="edit" data-toggle="modal" data-categoria='<?php echo $categoria_id;?>' data-numeracion="<?php echo $numeracion ?>" data-descripcion="<?php echo $descripcion ?>"   data-id-elemento="<?php echo $elemento_id; ?>" ><i class="material-icons" data-toggle="tooltip" title="Editar" >&#xE254;</i></a>
							<!--	<a href="#deleteOrdenModal" class="delete" data-toggle="modal" data-id-orden="<?php echo $orden_id;?>" data-id-elemento="<?php echo $elemento_id;?>"><i class="material-icons" data-toggle="tooltip" title="Eliminar">&#xE872;</i></a>-->
						<?php
						if($categoria=="DICTÁMENES" or $categoria=="ACUERDOS"): ?>
							<a href="#" data-target="#VotarPantallaModal"  class="btn btn-success" data-toggle="modal" role="button" data-id-elemento="<?php echo $elemento_id;?>">Votar</a>
							<a href="#" data-target="#CerrarVotacionModal"  class="btn btn-success" data-toggle="modal" role="button" data-id-elemento="<?php echo $elemento_id;?>">Cerrar</a>
							<a href="#" data-target="#ResultadosVotacionModal"  class="btn btn-success" data-toggle="modal" role="button" data-id-elemento="<?php echo $elemento_id;?>">Resultados</a>
							 <?php endif; ?>
							 	<?php
							if($categoria=="INICIATIVAS"): ?>
							 <!--<a href="#" data-target="#VerPantallaModal"  class="btn btn-success" data-toggle="modal" role="button" data-id-elemento="<?php //echo $elemento_id;?>">Pantalla</a>-->
							 <a href="#" data-target="#VotarPantallaModal"  class="btn btn-success" data-toggle="modal" role="button" data-id-elemento="<?php echo $elemento_id;?>">Votar</a>
							 <a href="#" data-target="#CerrarVotacionModal"  class="btn btn-success" data-toggle="modal" role="button" data-id-elemento="<?php echo $elemento_id;?>">Cerrar</a>
							 <a href="#" data-target="#ResultadosVotacionModal"  class="btn btn-success" data-toggle="modal" role="button" data-id-elemento="<?php echo $elemento_id;?>">Resultados</a>
 						 <?php endif; ?>
						 	<?php
						 if($categoria=="ORDEN DEL DÍA" or $categoria=="COMUNICADOS" or $categoria=="PROPOSICIONES" or $categoria=="EFEMÉRIDES"): ?>
						  <!--<a href="#" data-target="#VerPantallaModal"  class="btn btn-success" data-toggle="modal" role="button" data-id-elemento="<?php //echo $elemento_id;?>">Pantalla</a>-->
							<?php endif; ?>
							</td>
						</tr>
						<?php }?>
						<tr>
							<td colspan='6'>
								<?php
									$inicios=$offset+1;
									$finales+=$inicios -1;
									echo "Mostrando $inicios al $finales de $numrows registros";
									echo paginate( $page, $total_pages, $adjacents);
								?>
							</td>
						</tr>
				</tbody>
			</table>

		</div>


		<script src="js/excellentexport.js"></script>

	<?php
	}
}
?>
