<?php
// Initialize the session
session_start();

// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true){
    header("location: login.php");
    exit;
}
require_once ("ajax/conexion.php");
?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Bloquear Usuario</title>

</head>
<body>

    <div class="container">
        <div class="table-wrapper">
            <div class="table-title">
                <div class="row">
                    <div class="col-sm-6">
						<h2><b>Bloquear Usuario</b></h2>
					</div>

                </div>
            </div>
			<div class='col-sm-4 pull-right'>

			</div>
    	<div class="modal-dialog">
        <div class="modal-content">
            <form name="edit_bloquea_usuario" id="edit_bloquea_usuario">
              <div class="modal-header">
                <h4 class="modal-title">Bloquear Usuario</h4>
                <!--<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>-->
              </div>
              <div class="modal-body">
                <div class="form-group">
                <h4>Usuario</h4>
                  <select name="blo_usuario" id="blo_usuario">
                  <option value="0">Seleccione:</option>
                  <?php
                    $query =  mysqli_query($con,"SELECT id_registro,nombre FROM catalogo_usuarios WHERE bloqueado=0");
                    while ($valores = mysqli_fetch_array($query)) {
                    echo '<option value="'.$valores['id_registro'].'">'.$valores['nombre'].'</option>';
                    }
                  ?>
                  </select>
                </div>
              </div>
              <div class="modal-footer">
                <input type="submit" class="btn btn-info" value="Guardar datos">

                <!--<input type="submit" class="btn btn-success" value="Guardar datos">-->
              </div>
            </form>
    </div>
  </div>
			<!--<div class='clearfix'></div>-->
			<hr>
			<div id="loader"></div><!-- Carga de datos ajax aqui -->
			<div id="resultados"></div><!-- Carga de datos ajax aqui -->
			<div class='outer_div'></div><!-- Carga de datos ajax aqui -->


        </div>
    </div>

	<!-- Delete Modal HTML -->

	<script src="js/script_bloquea_usuario.js"></script>
</body>
</html>
