<?php
// Initialize the session
session_start();

// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true){
    header("location: login.php");
    exit;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Consultar Asistencia inicial</title>
<style type="text/css">
table.table tr th:first-child {
  width: 500px;
}

</style>
<script src="bootstrap-datepicker/bootstrap-datepicker.min.js" charset="utf-8"></script>
<link rel="stylesheet" href="bootstrap-datepicker/bootstrap-datepicker.css">
<style type="text/css">
<style type="text/css">
table.table tr th:first-child {
  width: 250px;
}
</style>
</head>
<body>

    <div class="container">
        <div class="table-wrapper">
            <div class="table-title">
                <div class="row hidden-print">
                  <div class='col-sm-6'>
        						<h2 >Consultar asistencia inicial</h2>
        					</div>

                </div>
            </div>

              <div class="row hidden-print">

                <div class="col-sm-6">
                    <form id="genera_padres" name="genera_padres">
                        <div class="form-group">
                          <label>Fecha a consultar</label>

                            <input type="text" id="fecha" name="fecha" data-provide="datepicker"  size="12" required>
                            <input type="submit" value="Mostrar Asistencias del día" />
                        </div>
                  </form>
                  <div class="form-group">
                     <input type="button" value="Imprimir" class="hidden-print" onclick="window.print();" />
                     <a download="asistencia.xls" href="#" class="hidden-print" onclick="return ExcellentExport.excel(this, 'tablaResultados', 'asistencia.xlsx');">Exportar a Excel</a>
                  </div>
                </div>
                <div class="col-sm-6">
                    <form id="asistencia" name="asistencia">
                      <div id="muestra_padres">

                      </div>
                      <div class="form-group">
          						<label>Asistencia</label>
                      <select name="tipo_asistencia" id="tipo_asistencia">
                        <option value="0" >Todo</option>
          							<option value="1">Asistencia Inicial</option>
          							<option value="2" >Asistencia Incorporada</option>
          							</select>
                        <input type="submit" value="Generar" />
                      </div>
                    </form>
                    </div>
              </div> <!-- row -->


			<div class='clearfix'></div>
			<hr>
			<div id="loader"></div><!-- Carga de datos ajax aqui -->
			<div id="resultados"></div><!-- Carga de datos ajax aqui -->
			<div class='outer_div'></div><!-- Carga de datos ajax aqui -->


        </div>
    </div>





    <script language="javascript" type="text/javascript">

      $('#fecha').datepicker({
           format: "dd/mm/yyyy"

      });
        </script>
	<script src="js/script_asistencia.js"></script>
  <script src="js/excellentexport.js"></script>

</body>
</html>
