
<?php
// Initialize the session
session_start();

// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true){
    header("location: login.php");
    exit;
}
require_once ("ajax/conexion.php");//Contiene funcion que conecta a la base de datos

?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Sistema de Administración de Iniciativas</title>

<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="CACHE-CONTROL" content="NO-CACHE" />
    <meta http-equiv="PRAGMA" content="NO-CACHE" />
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto|Varela+Round">
	<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

	<link rel="stylesheet" href="css/custom.css">
	 <link rel="stylesheet" href="css/styles_menu.css">
	 <title>Sistema de Administración de Iniciativas</title>
</head>


<body>


<?php


// Perform queries
$sqlquery = " SELECT id_grupo FROM catalogo_usuarios where id_usuario='". $_SESSION["username"] ."' ";
$res=mysqli_query($con,$sqlquery);
$datos=mysqli_fetch_array($res);
$grupo = $datos['id_grupo'];


  $elemento='.';
  $menu = "";


  $sqlquery =  "SELECT DISTINCT  SUBSTRING_INDEX( m.posicion, '$elemento', 1) AS id,m.id_menu , m.textoMenu , m.pagina,m.posicion FROM catalogo_menu m, permisos_grupos p WHERE m.id_menu=p.id_menu  AND m.pagina='[none]'  AND p.id_grupo=$grupo AND m.activo=1 order by m.posicion ";
  $res=mysqli_query($con,$sqlquery);
    $menu.="<li class='active'><a href='home.php'>Inicio <span class='sr-only'></span></a></li>";
    while($row=mysqli_fetch_array($res,MYSQLI_ASSOC))
    {
        $menu .="<li class='dropdown'>";
        $menu .= "<a href='' class='dropdown-toggle' data-toggle='dropdown' role='button' aria-haspopup='true' aria-expanded='false'>". $row['textoMenu']."<span class='caret'></span></a>";
        $menu .="<ul class='dropdown-menu'>";
        $menu .= get_menu_tree($row['id']); //call  recursively
        $menu .= "</ul>";
        $menu .= "</li>";

    } //while


$menu .="<li><a href='logout.php'>Salir</a></li>";
function get_menu_tree($parent_id)
{
  global $con;
  global $grupo;
  $elemento='.';
  $menu1 = "";

  $sqlquery =  "SELECT DISTINCT SUBSTRING_INDEX( m.posicion, '$elemento', 1) AS id, m.id_menu , m.textoMenu , RTRIM(m.pagina) as pagina,m.posicion FROM catalogo_menu m, permisos_grupos p WHERE m.id_menu=p.id_menu AND SUBSTRING_INDEX( m.posicion, '$elemento', 1)='$parent_id' AND m.pagina <> '[none]'  AND p.id_grupo=$grupo AND m.activo=1 order by m.posicion ";

  $res=mysqli_query($con,$sqlquery);

    while($row=mysqli_fetch_array($res,MYSQLI_ASSOC))
    {
        $menu1 .="<li><a onclick='".$row['pagina']."'>".$row['textoMenu']."</a>";
        $menu1 .= "</li>";

    }
  return $menu1;
}


?>
<header class="hidden-print">

          <div class="container">

            <nav class="navbar navbar-light" style="margin-bottom: 0px;background-color: #646464;">



                <div class="nav navbar-nav navbar-left" >

                        <img src="images/logo.svg" alt="Logo" onclick="location.href='home.php'" />

                </div>
            </nav>
          </div>
  </header>



<!-- Navbar Menu -->
<div class="container hidden-print">

<nav class="navbar my-navbar">
  <div class="container-fluid">
	 <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
          <ul class="nav navbar-nav">

                  <?php echo $menu;?>

          </ul>
       </div><!-- /.navbar-collapse -->
     </div><!-- /.container-fluid -->
   </nav>
   </div><!-- container -->
   <div class='principal'>
   </div>
</body>
<script src="js/script_ini.js" charset="utf-8"></script>
<!--<script src="js/ajax.js"></script>-->
</html>
<?php mysqli_close($con); ?>
