<?php
session_start();
require_once ("ajax/conexion.php");//Contiene funcion que conecta a la base de datos
include("ajax/queryscalar.php");


// Define variables and initialize with empty values
$username = $password = "";
$username_err = $password_err = "";

if (!isset($_SESSION["MaxIntentos"])) {
    $temp=queryScalar("SELECT maximo_intentos  AS resultado FROM configuracion_acceso",$con);
    $_SESSION["MaxIntentos"] = intval($temp);

  }

  if (!isset($_SESSION["bloquear"])) {
    $res = queryScalar("SELECT bloqueo_intentos  AS resultado FROM configuracion_acceso",$con);
    if (empty($res)) {
        $_SESSION["bloquear"] = False;
    }else{

        $_SESSION["bloquear"] = $res;
    }
  }

  if (!isset($_SESSION["Reiniciar_Fec_Ven"])) {
    $res = queryScalar("SELECT Reiniciar_Fec_Ven  AS resultado FROM configuracion_acceso",$con);
    if (empty($res)) {
        $_SESSION["Reiniciar_Fec_Ven"] = False;
    }else{

        $_SESSION["Reiniciar_Fec_Ven"] = $res;
    }
  }

  if (!isset($_SESSION["Historial_Passwords"])) {
    $res = queryScalar("SELECT Historial_Passwords  AS resultado FROM configuracion_acceso",$con);
    if (empty($res)) {
        $_SESSION["Historial_Passwords"] = False;
    }else{

        $_SESSION["Historial_Passwords"] = $res;
    }
  }
  if (!isset($_SESSION["Numero_Passwords"])) {
    $res = queryScalar("SELECT Numero_Passwords  AS resultado FROM configuracion_acceso",$con);
    if (empty($res)) {
        $_SESSION["Numero_Passwords"] = False;
    }else{

        $_SESSION["Numero_Passwords"] = $res;
    }
  }

  if (!isset($_SESSION["Dias_Password"])) {
    $res = queryScalar("SELECT Dias_Password  AS resultado FROM configuracion_acceso",$con);
    if (empty($res)) {
        $_SESSION["Dias_Password"] = False;
    }else{

        $_SESSION["Dias_Password"] = $res;
    }
  }
  if (!isset($_SESSION["Dias_Aviso"])) {
    $res = queryScalar("SELECT Dias_Aviso  AS resultado FROM configuracion_acceso",$con);
    if (empty($res)) {
        $_SESSION["Dias_Aviso"] = False;
    }else{

        $_SESSION["Dias_Aviso"] = $res;
    }
  }


//echo $_SESSION["MaxIntentos"];
if (!isset($_SESSION["intentos"])) {
    $_SESSION["intentos"] = 0;

}



if($_SESSION["intentos"] >= $_SESSION["MaxIntentos"]){
$username_err="Ha excedido el límite de intentos por favor intente más tarde.";
$_SESSION["username"]=$_POST["txtUsuario"];
bitacora( 'USR', 'login.php','El usuario ha excedido el número de intentos de inicio de sesión.',$con);
$_SESSION = array();
 session_regenerate_id();
session_destroy();
mysqli_close($con);
}
else{



// Processing form data when form is submitted
if($_SERVER["REQUEST_METHOD"] == "POST"){



    // Check if username is empty
    if(empty(trim($_POST["txtUsuario"]))){
        $username_err = "Introduzca el usuario.";
    } else{
        $username = trim($_POST["txtUsuario"]);
    }

    // Check if password is empty
    if(empty(trim($_POST["txtPassword"]))){
        $password_err = "Introduzca su contraseña.";
    } else{
        $password = trim($_POST["txtPassword"]);
    }

    // Validate credentials
    if(empty($username_err) && empty($password_err)){
        // Prepare a select statement
        $sql = "SELECT id_registro, RTRIM(id_usuario) as id_usuario, passwd,bloqueado,num_intentos,activo,DATE_FORMAT(fecha_expiracion,'%Y%m%d') as fecha_expiracion FROM catalogo_usuarios WHERE id_usuario = ?";

        if($stmt = mysqli_prepare($con, $sql)){
            // Bind variables to the prepared statement as parameters
            mysqli_stmt_bind_param($stmt, "s", $param_username);

            // Set parameters
            $param_username = $username;

            // Attempt to execute the prepared statement
            if(mysqli_stmt_execute($stmt)){
                // Store result
                mysqli_stmt_store_result($stmt);

                // Check if username exists, if yes then verify password
                if(mysqli_stmt_num_rows($stmt) == 1){
                    // Bind result variables
                    mysqli_stmt_bind_result($stmt, $id, $username, $hashed_password,$bloqueado,$num_intentos,$activo,$fecha_expiracion);

                    if(mysqli_stmt_fetch($stmt)){

                          if($bloqueado){
                            $username_err= "El usuario se encuentra bloqueado, favor de contactar al administrador";
                            $_SESSION["username"]=$_POST["txtUsuario"];
                            bitacora( 'USR', 'login.php','El usuario se encuentra bloqueado.',$con);
                          }else{

                                  if(password_verify($password, $hashed_password)){
                                    if($activo){
                                      $username_err="Ya tiene una sesión activa con este usuario";
                                      //insertar en bitácora
                                      $_SESSION["username"]=$_POST["txtUsuario"];
                                      bitacora( 'INT', 'login.php','Intento de acceso a cuenta de Usuario actualmente en uso',$con);

                                        }else{
                                            //$fechasistema=queryscalar("SELECT DATE_FORMAT(sysdate(3),'%Y%m%d') AS resultado",$con);
                                            date_default_timezone_set("America/Mexico_City");
                                            $fechasistema=date("Ymd");
                                            if(($fecha_expiracion < $fechasistema) and ($_SESSION["Reiniciar_Fec_Ven"]==True)){
                                              $puede_cambiar_contrasenia=True;
                                              $username_err="Su contraseña ha expirado";
                                              $_SESSION["username"]=$_POST["txtUsuario"];
                                              bitacora( 'USR', 'login.php','La contraseña expiró',$con);
                                              }else {
                                                  $puede_cambiar_contrasenia=False;
                                              }


                                             if($fecha_expiracion < $fechasistema and $_SESSION["Reiniciar_Fec_Ven"]=False){
                                               $error_contrasenia_expirada=True;
                                               $username_err="La contraseña expiró, favor de contactar a su administrador de sistemas";
                                               $_SESSION["username"]=$_POST["txtUsuario"];
                                                bitacora( 'USR', 'login.php','La contraseña expiró',$con);
                                             }else{
                                               $error_contrasenia_expirada=False;
                                             }

                                             if ($puede_cambiar_contrasenia==False && $error_contrasenia_expirada==False){
                                               $_SESSION["loggedin"] = true;
                                               $_SESSION["id"] = $id;
                                               $_SESSION["username"] = $username;

                                               unset($_SESSION['MaxIntentos']);
                                               unset($_SESSION['bloquear']);
                                               unset($_SESSION['Reiniciar_Fec_Ven']);
                                               unset($_SESSION['Historial_Passwords']);
                                               unset($_SESSION['Dias_Password']);
                                               unset($_SESSION['Dias_Aviso']);
                                               unset($_SESSION["intentos"]);

                                               //solo una sesión al mismo tiempo
                                               $sql="UPDATE catalogo_usuarios SET activo=1 WHERE id_usuario='".$username."'";
                                               $query = mysqli_query($con,$sql);


                                                 bitacora( 'IN', 'login.php','Entrada al sistema de votaciones',$con);
                                                   mysqli_close($con);
                                                 header("location: home.php");
                                             }


                                        }//activo
                                  }
                                    else{
                                            if ($_SESSION["bloquear"]) {
                                              $_SESSION["intentos"] = $_SESSION["intentos"] + 1;
                                               $username_err ="Nombre de usuario o password incorrecto.";
                                          }else{
                                            $username_err = "El usuario se encuentra bloqueado, favor de contactar al administrador. ";
                                          }
                                         $username_err ="Nombre de usuario o password incorrecto.";
                                      } //if(password_verify($password, $hashed_password))

                           }// bloqueado
                      } //if(mysqli_stmt_fetch($stmt))
                  } else{
                      // Display an error message if username doesn't exist
                      $username_err = "El usuario tecleado no está registrado.";
                  } //if(mysqli_stmt_num_rows($stmt) == 1)
              } else{
                  echo "Consulte al administrador del sistema.";
              }//if(mysqli_stmt_execute($stmt))
          } //if($stmt = mysqli_prepare($con, $sql))

          // Close statement
          mysqli_stmt_close($stmt);
      } //if(empty($username_err) && empty($password_err))

      // Close connection
      mysqli_close($con);
  } //if($_SERVER["REQUEST_METHOD"] == "POST")

}//if intentos
?>


<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <meta http-equiv="cache-control" content="no-cache,no-store,must-revalidate">
  <meta http-equiv="pragma" content="no-cache">
  <meta http-equiv="expires" content="0">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto|Varela+Round">
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<link rel="stylesheet" href="css/custom.css">

</head>

<body>

<div class="container">
     <section id="content">
        	 <nav class="col-sm-2">

            </nav>
     <div class="col-sm-8">
	       <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" id="regform" name="regform" method="post">
            <!--<form id="regform" name="regform" action="login.php" method="post" ">-->

           <div align="center"> <img src="images/logo.svg" alt=""  /></div>
            <h4 class="modal-title">Acceso al Sistema</h4>
						<br />
            <div class="form-group row <?php echo (!empty($username_err)) ? 'has-error' : ''; ?>">
							<label for="txtUsuario" class="col-sm-4 col-form-label">Usuario</label>
							<div class="col-sm-4">
  							<input type="text" name="txtUsuario"  id="txtUsuario" class="form-control"
  							placeholder="Usuario"	maxlength="15"	required>
                <span class="help-block"><?php echo $username_err; ?></span>
							</div>
					</div>
					<div class="form-group row <?php echo (!empty($password_err)) ? 'has-error' : ''; ?>">
					<label for="password" class="col-sm-4 col-form-label">Contraseña:</label>
						<div class="col-sm-4">
						  <input type="password" class="form-control" id="txtPassword" name="txtPassword"
						  placeholder="Contraseña"  required >
              <span class="help-block"><?php echo $password_err; ?></span>
						</div>
					</div>

					<div class="form-group row">
      					<div class="col-sm-12">
      					         <input id="btnAceptar" class="btn btn-primary" type="submit" name="btnAceptar" value="Acceso">
      					</div>
					</div>
        </form>
        <!-- content -->
    </div> <!-- col sm8 -->
</section>

	</div><!-- container -->
</body>
</html>
