<?php
// Initialize the session
session_start();

// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true){
    header("location: login.php");
    exit;
}
//require_once ("ajax/conexion.php");
?>
<!DOCTYPE html>
<html lang="es">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Que ver en Pantalla</title>

</head>
<body>

    <div class="container">
        <div class="table-wrapper">
            <div class="table-title">
                <div class="row">
                    <div class="col-sm-6">
          						<h2>Que mostar en las pantallas<b></b></h2>
          					</div>

                </div>
            </div>
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h4 class="modal-title">Escoger una opción</h4>
                </div>

                <div class="modal-body">


                  <form id="p_limpiar" name="p_limpiar">
                    <div class="row">
                        <div class="col-sm-6">
                          <div class="form-group">
                            <label>Limpiar Pantallas</label>
                          </div>
                      </div>
                      <div class="col-sm-6">
                          <div class="form-group">
                             <input type="hidden" id="opcion" name="opcion"  value="0">
                             <input type="submit" value="ver" class="btn btn-success"  />
                         </div>
                     </div>

                   </div>
                  </form>
                <form id="p_asistencia" name="p_asistencia">
                  <div class="row">
                      <div class="col-sm-6">
                        <div class="form-group">
                          <label>Asistencia Inicial en Pantallas</label>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                           <input type="hidden" id="opcion" name="opcion"  value="1">
                           <input type="submit" value="ver" class="btn btn-success"  />
                       </div>
                   </div>

                 </div>
                </form>
                <form id="p_asistencia_quorum" name="p_asistencia_quorum">
                  <div class="row">
                      <div class="col-sm-6">
                          <div class="form-group">
                              <label>Asistencias por Quorum en Pantallas</label>
                          </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                              <input type="hidden" id="opcion" name="opcion"  value="2">
                             <input type="submit" value="Ver" class="btn btn-success" />
                           </div>
                       </div>
                     </div>
                </form>
                <form id="p_votacion" name="p_votacion">
                  <div class="row">
                      <div class="col-sm-6">
                          <div class="form-group">
                              <label>Votación en Pantallas</label>
                          </div>
                      </div>
                      <div class="col-sm-6">
                          <div class="form-group">
                            <input type="hidden" id="opcion" name="opcion"  value="3">
                             <input type="submit" value="Ver" class="btn btn-success" />
                           </div>
                       </div>
                     </div>
                </form>
                <form id="p_cronometro" name="p_cronometro">
                  <div class="row">
                      <div class="col-sm-6">
                          <div class="form-group">
                            <label>Cronómetro en Pantallas</label>
                          </div>
                      </div>
                      <div class="col-sm-6">
                          <div class="form-group">
                             <input type="hidden" id="opcion" name="opcion"  value="4">
                             <input type="submit" value="Ver" class="btn btn-success"/>
                           </div>
                       </div>
                     </div>
                </form>

              </div>



          </div>
        </div>
			<!--<div class='clearfix'></div>-->
			<hr>
			<div id="loader"></div><!-- Carga de datos ajax aqui -->
			<div id="resultados"></div><!-- Carga de datos ajax aqui -->
			<div class='outer_div'></div><!-- Carga de datos ajax aqui -->


        </div>
    </div>

	<!-- Delete Modal HTML -->

	<script src="js/script_que_ver_en_pantalla.js"></script>
</body>
</html>
