<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Cronómetro</title>
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto|Varela+Round">
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

<style>
body {
	background-color: #696969;
	color: #FFFFFF;
	overflow:hidden;
	}
 h1{
 	font-size: 35vw;
 }
 #title {
 	font-size: 20vw;
 }
</style>
</head>
<body>
	 <div class="container-fluid">
	 	<div class="row">
	 		<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center" >
				<h1 id="timeCounter"></h1>
			</div>
	 	</div>

    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center">
			<h1 id="title"><strong></strong></h1>
		</div>
    </div> <!-- row -->
    <div id="data">
    </div><!-- row -->
    </div> <!-- container -->
    <script type="text/javascript">
    	var seconds = 0.4;
    	var totalSeconds = 0;
    	var m = 0;
    	var s = 0
    	var stop=false;
    	var url ="http://35.193.244.78/cronos.php";
    	//var url ="http://www.apliko.mx/cdmx/cronos.php";

    	var timerReloadID;
    	$( document ).ready(function() {
    		reloadTime();
    		//timer();
		});

		function reloadTime() {
			$.getJSON(url, function (json) {
				//console.log("json: " + json);
                //console.log("json.result.length:" + json.result.length);
                var content ="";
                content +="hora: " + json.result[0].hour + ", tiempo " + json.result[1].time + " now: " + json.result[2].now + " diff: " + json.result[3].diff + " fin: " + json.result[4].end;
                stop=false;
                if (json.result[3].diff<0) {
                	stop=true;
                }// diff<0
                	m = parseInt(json.result[3].diff/60 , 10);
                	s = json.result[3].diff % 60;
                	content += "<br/>m: " + m + " : s "+ s;
                // } else {
                   // clearTimeout(timerReloadID);
                // }
                timer();
                totalSeconds = json.result[3].diff;
                //console.log("data" + content);
               // $("#data").html(content);
             }); // getJSON
             timerReloadID = setTimeout("reloadTime()", seconds*1000); // medio segundo
		}//reloadTime

    </script>
    <script type="text/javascript">
    	var timerID;
    	function timer() {
    		min = "00"+Math.abs(m);
    		min = min.charAt(min.length-2)+ min.charAt(min.length-1);
    		seg="00"+Math.abs(s);
    		seg = seg.charAt(seg.length-2)+ seg.charAt(seg.length-1);
    		if (stop){
    			$("#timeCounter").css("color", "#B22222");
    			$("#timeCounter").html("-" + min + ":"+ seg );
    		}else {
    			$("#timeCounter").html(min + ":"+ seg );
    		}

    		// }else {
    			// $("#title").html("Tiempo<br/>Finalizado");
    		// }//if
    	}//timer
    </script>
</body>
</html>
